asm
  ; Clear VRAM
  ; 1. Set VRAM write address to 0 by outputting $4000 ORed with $0000
  ld a,$00
  out ($bf),a
  ld a,$40
  out ($bf),a

  ; 2. Output 16KB of zeroes
  ld bc, $4000    ; Counter for 16KB of VRAM
  ClearVRAMLoop:
  ld a,$00    ; Value to write
  out ($be),a ; Output to VRAM address, which is auto-incremented after each write
  dec bc
  ld a,b
  or c
  jp nz,ClearVRAMLoop

  end asm
